Skip to main content
GET
/
api
/
v1
/
custom_processors
/
{processor_id}
/
versions
/
{version}
Get Processor Version Detail
import requests

url = "https://www.datalab.to/api/v1/custom_processors/{processor_id}/versions/{version}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://www.datalab.to/api/v1/custom_processors/{processor_id}/versions/{version} \
--header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://www.datalab.to/api/v1/custom_processors/{processor_id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://www.datalab.to/api/v1/custom_processors/{processor_id}/versions/{version}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "version": 123,
  "request_description": "<string>",
  "created_at": "<string>",
  "pipeline_params": {},
  "eval_definition": {},
  "runtime": 123,
  "is_active": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

processor_id
string
required
version
integer
required

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

Detailed version data including pipeline_params and eval_definition.

version
integer
required

Version number

request_description
string
required

Description used for this version

created_at
string
required

ISO timestamp when version was created

pipeline_params
Pipeline Params · object | null

Full pipeline parameters including modifications[]

eval_definition
Eval Definition · object | null

Evaluation definition including evaluations[]

runtime
number | null

Execution time in seconds

is_active
boolean
default:false

Whether this is the currently active version